VERSION 5.00
Begin VB.Form frmKurve91 
   Caption         =   "frmStandard"
   ClientHeight    =   5295
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7035
   Icon            =   "Kurve91.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   5295
   ScaleWidth      =   7035
   StartUpPosition =   3  'Windows-Standard
   Begin VB.CommandButton cmdHalt 
      Caption         =   "HALT"
      Height          =   375
      Left            =   3960
      TabIndex        =   10
      Top             =   4680
      Width           =   1335
   End
   Begin VB.ComboBox cboPort 
      Height          =   315
      Left            =   480
      Style           =   2  'Dropdown-Liste
      TabIndex        =   2
      Top             =   4680
      Width           =   1575
   End
   Begin VB.CommandButton cmdEnde 
      Caption         =   "ENDE"
      Height          =   375
      Left            =   2520
      TabIndex        =   1
      Top             =   4680
      Width           =   1335
   End
   Begin VB.CommandButton cmdAction 
      Caption         =   "START"
      Height          =   375
      Left            =   5400
      TabIndex        =   0
      Top             =   4680
      Width           =   1335
   End
   Begin VB.Label lblAktPos 
      Alignment       =   2  'Zentriert
      Caption         =   "???"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   300
      Left            =   3240
      TabIndex        =   9
      Top             =   3360
      Width           =   855
   End
   Begin VB.Label Label4 
      Caption         =   "Mewert :"
      Height          =   195
      Left            =   600
      TabIndex        =   8
      Top             =   2520
      Width           =   2055
   End
   Begin VB.Label Label3 
      Caption         =   "aktuelle Position :"
      Height          =   195
      Left            =   600
      TabIndex        =   7
      Top             =   3360
      Width           =   2055
   End
   Begin VB.Label lblZielPos 
      Alignment       =   2  'Zentriert
      Caption         =   "???"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   300
      Left            =   3240
      TabIndex        =   6
      Top             =   2940
      Width           =   855
   End
   Begin VB.Label lblMewert 
      Alignment       =   2  'Zentriert
      Caption         =   "???"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   300
      Left            =   3240
      TabIndex        =   5
      Top             =   2520
      Width           =   855
   End
   Begin VB.Label Label2 
      Caption         =   "Ziel-Position :"
      Height          =   195
      Left            =   600
      TabIndex        =   4
      Top             =   2940
      Width           =   2055
   End
   Begin VB.Label Label1 
      Caption         =   "ProfiC : Kurvenschreiber 91"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   20.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   615
      Left            =   480
      TabIndex        =   3
      Top             =   1560
      Width           =   6015
   End
   Begin VB.Image Image1 
      Height          =   705
      Left            =   480
      Picture         =   "Kurve91.frx":0442
      Top             =   360
      Width           =   6345
   End
End
Attribute VB_Name = "frmKurve91"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ------------------------------------------------------------------------------
'
' frmKurve91(Kurve91.frm)                                 Ulrich Mller 06.03.99
'                                                         Procida 400NT    VB6.0
' fischertechnik Computing Kurvenschreiber 91 : Adaption des Pascal Programmes
' erforderlich : FishF532.DLL, FishF632.DLL oder FishFRT6.DLL
'                mu in Projekt | Verweise entsprechend markiert sein
' bei Einsatz des parallelen Interfaces ggf. ft.OutputDelay und ft.AnalogDelay
' anpassen.  Ebenso : Const Min/Max_Analogwert
'
' ------------------------------------------------------------------------------

Option Explicit

Private Const cSchreiMotor = 1, cSchreiImpuls = 1, cSchreiEnde = 4
Private Const cStiftMotor = 2, cStiftOben = 2
Private Const cPapierMotor = 3, cPapierImpuls = 3
Private Const cSensor = 0

Private Const Minimaler_Analogwert_Sensor = 0
Private Const Maximaler_Analogwert_Sensor = 1600
Private Const Analoger_Messbereich = Maximaler_Analogwert_Sensor - Minimaler_Analogwert_Sensor
Private Const Maximale_Schrei_Schritte = 360
Private Const ASfaktor = Analoger_Messbereich \ Maximale_Schrei_Schritte

Private ft As New clsFishFace    ' --- Verbindung zu den Interfaceroutinen

Private X&                       ' --- letzte Position
Private Zielposition_X&          ' --- neue X-Position
Private Analogwert&              ' --- Mewert
Private SekundenMerker&          ' --- fr Vorschub alle Sekunden

Private Sub Analogeingang_einlesen_und_verarbeiten()

  Analogwert = ft.GetAnalog(cSensor)  ' --- Einlesen Sensorwert
  Zielposition_X = (Analogwert - Minimaler_Analogwert_Sensor) \ ASfaktor
  If Zielposition_X > X Then          ' --- Ein Schritt nach X+
    ft.SetMotor cSchreiMotor, ftiLinks
    ft.WaitForLow cSchreiImpuls
    ft.SetMotor cSchreiMotor, ftiAus
    X = X + 1
  End If
  If Zielposition_X < X Then          ' --- Ein Schritt nach X-
    ft.SetMotor cSchreiMotor, ftiRechts
    ft.WaitForLow cSchreiImpuls
    ft.SetMotor cSchreiMotor, ftiAus
    X = X - 1
  End If
  
' --- Anzeige der Werte ----------------

  lblMewert = Analogwert
  lblZielPos = Zielposition_X
  lblAktPos = X
  
End Sub


Private Sub Kennlinienschreiber_initialisieren()

  ft.SetMotor cSchreiMotor, ftiRechts    ' --- Schreiber zum Endtaster
  Do
  Loop Until ft.GetInput(cSchreiEnde)
  ft.SetMotor cSchreiMotor, ftiAus
  
  ft.SetMotor cStiftMotor, ftiRechts    ' --- Stift senken
  Do
  Loop While ft.GetInput(cStiftOben)
  ft.SetMotor cStiftMotor, ftiAus
  
' --- Ausgangswerte ---

  X = 0
  SekundenMerker = 0
  ft.NotHalt = False
  lblMewert = "???"
  lblZielPos = "???"
  lblAktPos = "???"
  
End Sub


Private Sub Zeilenvorschub()

  If Second(Now) = SekundenMerker Then Exit Sub
  ft.SetMotor cPapierMotor, ftiRechts    ' --- Papiervorschub, ein Schritt
  ft.WaitForLow cPapierImpuls
  ft.SetMotor cPapierMotor, ftiAus
  SekundenMerker = Second(Now)           ' --- neue Vorschubzeit
  
End Sub

Private Sub cmdAction_Click()

  ft.OpenInterface cboPort.Text
  Kennlinienschreiber_initialisieren
  
  Do
    Analogeingang_einlesen_und_verarbeiten
    Zeilenvorschub
  Loop Until ft.NotHalt                ' --- Loop-Ende Drcken HALT-Button
  
  ft.SetMotor cStiftMotor, ftiLinks    ' --- Stift heben
  Do
  Loop While Not ft.GetInput(cStiftOben)
  ft.SetMotor cStiftMotor, ftiAus
  ft.CloseInterface
  
End Sub


Private Sub cmdEnde_Click()
  
  End
  
End Sub


Private Sub cmdHalt_Click()

  ft.NotHalt = True                    ' --- Anhalten des Schreibers

End Sub


Private Sub Form_Load()

' --- Liste der PortNamen ---

  cboPort.Clear
  cboPort.AddItem "COM1"
  cboPort.AddItem "COM2"
  cboPort.AddItem "COM3"
  cboPort.AddItem "COM4"
  cboPort.AddItem "LPT1"
  cboPort.AddItem "LPT2"
  cboPort.AddItem "LPT3"
  cboPort.ListIndex = 5

' --- Projekt | Eigenschaften | Erstellen | ProductName
  Me.Caption = App.ProductName

End Sub


